rem ****** Copy RICOH MakersNote Metadata to target file ****** //
rem
rem Creator: Alex Furer - Co-Creator: Dominique @RainBat and example here: https://www.computerhope.com/issues/ch001674.htm
rem
rem Praise, comment, bugs, improvements: alex@fullframestudios.ch
rem
rem v02
rem   - Initial release
rem v01
rem   - Initial write where both files were dragged onto the bat file. BUT since Windows Explorer is messing with the order when the images are selected, I dropped this approach.
rem
rem Description:
rem This script takes the RICOH specific so called MakersNotes metadata and copies it to the other image of choice
rem
rem Install:
rem - You will need the ExifTools installed anywhere on your computer
rem   - Get it here: https://exiftool.org/
rem   - In my case this is at: C:\TOOLS\ExifTool\exiftool.exe
rem   - But you can install it wherever you want to.
rem   - Check the path in the script to the ExifTools installation directory
rem - Place the script wherever you want it to be
rem
rem Usage:
rem - Run the script either in a shell, or by double clicking it
rem - Drag the source file containing the metadata you want to copy
rem - Drag the target file to which the metadata should be copied to
rem - Make your choice at the question and the hit enter.
rem   - "y" for yes
rem   - "c" foc cancel
rem   - "r" to start over
rem
rem Changelog:
rem v01
rem - Initial release
rem
rem To Do
rem - Nothing at this time
rem -
rem
rem Feature Requests / Wet Dreams
rem - It would be nice if we did not need to hit enter after the choice
rem - It would be nice if both images could be dragged at the same time but that might end up in rewriting the entire script...


@echo off


:START
cls
set file1=
set file2=

echo Drag and drop file one + Enter (SOURCE):
set /p file1=
echo.

echo Drag and drop file two + Enter (TARGET):
set /p file2=
echo.

echo.&echo.
echo SOURCE: %file1% 
echo TARGET: %file2%
echo.

set choice=

set /p choice=Validate the source and the target file. If correct press Y, if not press C to Cancel, or S to start over. 
if not '%choice%'=='' set choice=%choice:~0,1%
if '%choice%'=='s' goto start
if '%choice%'=='y' goto process
if '%choice%'=='c' goto cancel
echo "%choice%" is not valid, try again
echo.
goto start


:PROCESS
echo.
C:\TOOLS\ExifTool\exiftool.exe -tagsfromfile %file1%  -make -model -makernotes -overwrite_original %file2% -charset filename=cp1252    
echo.
echo Metadata copied
echo.

goto end


:CANCEL
echo.
echo You decided to cancel
echo.

goto end


:END
endlocal
pause

